Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.pool
Class Connection

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.Connection
            |
            +--weblogic.jdbc.pool.Connection

public class Connection
extends weblogic.jdbcbase.pool.Connection
implements java.sql.Connection

This class implements `java.sql.Connection`, and all of the documentation for its methods can be found in the `java.sql.Connection` docs.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.pool.Connection
`beenClosed, cc, conn`

Constructor Summary
`Connection(weblogic.jdbc.common.internal.ConnectionEnv aCc)`

Method Summary
`java.sql.Statement` | `createStatement()`
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency)`
`java.sql.DatabaseMetaData` | `getMetaData()`
`java.util.Map` | `getTypeMap()`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`void` | `setTypeMap(java.util.Map map)`

Methods inherited from class weblogic.jdbcbase.pool.Connection
`checkIfClosed, clearWarnings, close, commit, finalize, getAutoCommit, getCatalog, getTransactionIsolation, getWarnings, isClosed, isReadOnly, nativeSQL, refresh, rollback, setAutoCommit, setCatalog, setReadOnly, setTransactionIsolation`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Connection

    public Connection(weblogic.jdbc.common.internal.ConnectionEnv aCc)

Method Detail

### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

  Specified by:
    createStatement in interface java.sql.Connection

  Returns:
    Statement
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    createStatement in class weblogic.jdbcbase.pool.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql)
                                                throws java.sql.SQLException

  Specified by:
    prepareStatement in interface java.sql.Connection

  Parameters:
    `sql` - String
  Returns:
    PreparedStatement
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    prepareStatement in class weblogic.jdbcbase.pool.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql)
                                           throws java.sql.SQLException

  Specified by:
    prepareCall in interface java.sql.Connection

  Parameters:
    `sql` - String
  Returns:
    CallableStatement
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    prepareCall in class weblogic.jdbcbase.pool.Connection

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

  Specified by:
    getMetaData in interface java.sql.Connection

  Returns:
    DatabaseMetaData
  Throws:
    java.sql.SQLException - if there is an error
  Overrides:
    getMetaData in class weblogic.jdbcbase.pool.Connection

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Specified by:
    createStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Specified by:
    prepareCall in interface java.sql.Connection

### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

  Specified by:
    getTypeMap in interface java.sql.Connection

### setTypeMap

    public void setTypeMap(java.util.Map map)
                    throws java.sql.SQLException

  Specified by:
    setTypeMap in interface java.sql.Connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD